Search the Community
Showing results for tags 'cond'.
-
Hello all - I'm jim - New to forum, and auto cad. Over the last few weeks ive been using this site and others to learn AutoCad. I have gleaned lots of useful information however i'm struggling with UCS rotations/ Drawing 3D in a lsp. I'm half way through developing my first l...
-
I'm having trouble with a conditional statement. This code appears to do the math correctly, but it is supposed to return the minimum size conduit that I can use for the wire size entered. For example... Command: CCC Enter phase 1 or 3: 1 Enter feeder size with # (p...
-
LISP routine to insert a block at co-ords which are dwgname dependant
mitre962 posted a topic in AutoLISP, Visual LISP & DCL
Please help! New to writing LISP's, never used cond before. I'm trying to create a LISP which inserts a block whom's insertion point is determined using a cond statement which evaulates the dwgname variable and returns a value for the insertion coordinates depending on what the dwgname is.... -
Is there a logical reason for using 'if' with 'progn' instead of simply using 'cond'?
-
I have a routine that I'm working on, which is my first attempt using COND and IF, and I'm running into a problem with how to end the routine. Towards the end, I have (IF (EQ YR "N.F.H.A.") (COMMAND "MTEXT" "_non" pt1 "J" "MC" "S" "STANDARD" "H" TH "W" TW L1 L2 "") I need it to skip (...
-
How do I make one selection automatic with getkword?
jeremyearle5 posted a topic in AutoLISP, Visual LISP & DCL
I want to make the insert option happen by just pressing enter in the following code: (defun c:mak521 () (if (/= (tblsearch "block" "521") nil) (progn (beep) (initget 1 "Yes No INsert") (prompt "\n521 has already been created.") (setq x (getkword "\nInsert 521 a...